#CONTRATS D'HIPTESI. DIFERNCIA DE VARINCIES

#Assignem el Nombre d'observacions

m<-c(580,590,620,530,700,650,610,630,590,670)
nobs <- length(m)
Xmit<-sum(m)/length(m)
s_2<-sum((m-Xmit)^2)/(nobs-1)
sigma<-sqrt(4000)
est_chi<-(nobs-1)*s_2/sigma^2

#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic

par(mfrow=c(1,2))

#Cua superior

eix <- c(0,nobs*3)
x <- seq(eix[1], eix[2], length = 1001)
y <- dchisq(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x >= qchisq(1-alfa1/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x >= qchisq(1-alfa2/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x >= qchisq(1-alfa3/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= qchisq(pchisq(est_chi,nobs-1), nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = est_chi, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1/2)),expression(italic(alpha[2] == 0.05/2)),expression(italic(alpha[1] == 0.01/2)),expression(italic(Estadstic)))
legend("topright", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(2, 0.08, round(1-pchisq(est_chi, nobs-1),3), col='brown', cex=1) 


#Cua Inferior

eix <- c(0,nobs*3)
x <- seq(eix[1], eix[2], length = 1001)
y <- dchisq(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic(chi)), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x <= qchisq(alfa1/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qchisq(alfa2/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x <= qchisq(alfa3/2,nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x <= qchisq(pchisq(est_chi,nobs-1), nobs-1)] ; y1 <- dchisq(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = est_chi, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1/2)),expression(italic(alpha[2] == 0.05/2)),expression(italic(alpha[1] == 0.01/2)),expression(italic(Estadstic)))
legend("topright", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(2, 0.08, round(pchisq(est_chi, nobs-1),3), col='brown', cex=1) 



